<?php 
$woocommerce_category_buttons_options = get_option( 'woocommerce_category_buttons_option_name' ); // Array of All Options
$display_in_store_0 = $woocommerce_category_buttons_options['display_in_store_0']; // Display in store
$store_display_style_1 = $woocommerce_category_buttons_options['store_display_style_1']; // Store display style
$shortcode_display_style_2 = $woocommerce_category_buttons_options['shortcode_display_style_2']; // Shortcode display style
//$custom_title_3 = $woocommerce_category_buttons_options['custom_title_3']; // Custom title
//$custom_description_4 = $woocommerce_category_buttons_options['custom_description_4']; // Custom description
$images_5 = $woocommerce_category_buttons_options['images_5']; // Images

add_filter( 'load_textdomain_mofile', 'ryvenia_load_textdomain', 10, 2 );

add_action( 'init', 'ryvenia_load_text_domain' );

/*get logo*/

function ryvenia_get_custom_logo_url()
{
    $custom_logo_id = get_theme_mod( 'custom_logo' );
    $image = sanitize_url(wp_get_attachment_image_src( $custom_logo_id , 'full' ));
    return $image[0];
}
$image_logo_cat = esc_url( wp_get_attachment_image_src( get_theme_mod( 'custom_logo' ), 'full' )[0] );

/*Category buttons*/
add_action( 'woocommerce_before_shop_loop', 'ryvenia_categories' );
function ryvenia_categories(){
	$previous = sanitize_url("javascript:history.go(-1)");
if(isset($_SERVER['HTTP_REFERER'])) {
    $previous = sanitize_url($_SERVER['HTTP_REFERER']);
}
	/*TITLE AND DESCRIPTION*/

    $cat_title = sanitize_text_field(single_tag_title("", false));
    $cat_desc = sanitize_textarea_field(term_description( '', 'product_cat' ));
    $woocommerce_category_buttons_options = get_option( 'woocommerce_category_buttons_option_name' ); // Array of All Options
    $store_display_style_1 = $woocommerce_category_buttons_options['store_display_style_1']; // Store display style
    $custom_title_3 = $woocommerce_category_buttons_options['custom_title_3']; // Custom title
    $custom_description_4 = $woocommerce_category_buttons_options['custom_description_4']; // Custom description

    if ( $store_display_style_1 == "with-title-description" ) {
        if(!empty($custom_title_3)){
            echo wp_kses_post('<div class="ryveniacattitle"><h2>' . esc_html( $custom_title_3 ) . '</h2></div>');
        } else{
            echo wp_kses_post('<div class="ryveniacattitle"><h2>' . esc_html( $cat_title ) . '</h2></div>');
        }

        if(!empty($custom_description_4)){
            echo wp_kses_post('<p class="ryveniacatdesc">' . esc_html( $custom_description_4 ) . '</p>');
        } else{
            echo wp_kses_post('<p class="ryveniacatdesc">' . esc_html( $cat_desc ) . '</p>');
        }
    }

    if ( $store_display_style_1 == "with-title" ) {
        if(!empty($custom_title_3)){
            echo wp_kses_post('<div class="ryveniacattitle"><h2>' . esc_html( $custom_title_3 ) . '</h2></div>');
        } else{
            echo wp_kses_post('<div class="ryveniacattitle"><h2>' . esc_html( $cat_title ) . '</h2></div>');
        }
    }

    if ( $store_display_style_1 == "with-description" ) {
        if(!empty($custom_description_4)){
            echo wp_kses_post('<p class="ryveniacatdesc">' . esc_html( $custom_description_4 ) . '</p>');
        } else{
            echo wp_kses_post('<p class="ryveniacatdesc">' . esc_html( $cat_desc ) . '</p>');
        }
    }

    if ( $store_display_style_1 == "without-title-description" ) {
        echo '';
    }

	
    global $wp_query;
    if( empty( $wp_query->queried_object->term_id ) ){
        $parent = 0;
    }else{
        $parent = $wp_query->queried_object->term_id;
    }
    $args = array(
        'taxonomy' => 'product_cat',
        'hide_empty' => true,
        'parent' => $parent,
        'orderby' => 'title',
        'order' => 'ASC',
        /*'exclude' => array( 254, ),*/
    );
    $terms = get_terms( $args );
	
	$image_logo_cat = esc_url( wp_get_attachment_image_src( get_theme_mod( 'custom_logo' ), 'full' )[0] );
	
    if( !empty( $terms ) ){
        echo wp_kses_post('<div class="ryveniacat">');
		
        $i = 1;

        foreach( $terms as $term ){
			
			$link = sanitize_url(get_term_link( $term->term_id, 'product_cat' ));
			
			$thumbnail_id = get_term_meta( $term->term_id, 'thumbnail_id', true ); 
			$image_thumbnail = sanitize_url(wp_get_attachment_url( $thumbnail_id ));
            if( !empty( $image_thumbnail ) ) {
               	echo wp_kses_post('
		
        <div class="ryveniacatcolumn">
            <a href="'.esc_url($link).'" class="ryveniacatimg"><img src="'.sanitize_url($image_thumbnail).'" alt="'.sanitize_text_field(esc_textarea($term->name)).'"></a>
            <a href="'.esc_url($link).'" class="ryveniacattext">'.sanitize_text_field(esc_textarea($term->name)).'</a>
        </div>
    ');
            }else{
              	echo wp_kses_post('
		
        <div class="ryveniacatcolumn">
            <a href="'.esc_url($link).'" class="ryveniacatimg"><img src="'.sanitize_url($image_logo_cat).'" alt="'.sanitize_text_field(esc_textarea($term->name)).'"></a>
            <a href="'.esc_url($link).'" class="ryveniacattext">'.sanitize_text_field(esc_textarea($term->name)).'</a>
        </div>
    ');
            }
			 
		
           

        }

        echo wp_kses_post('</ul>');
        echo wp_kses_post('</div>');

    }
	
	/*if( empty( $terms ) ){
        
        echo wp_kses_post('<div class="ryveniacat">');
		echo wp_kses_post('
		
        <div class="ryveniacatcolumn">
            <a href="'.esc_url($previous).'" class="ryveniacatimg"><img src="'.sanitize_url($image_logo_cat).'" alt="'.sanitize_text_field(esc_textarea($term->name)).'"></a>
            <a href="'.esc_url($previous).'" class="ryveniacattext">' . esc_html__('Go back' , 'category-buttons' ) . '</a>
        </div>
    ');
    echo wp_kses_post('</div>');
            }*/

}


/*Category Shorcode buttons*/
add_shortcode( 'woocb', 'ryvenia_shortcode_categories' );
function ryvenia_shortcode_categories(){
	$previous = sanitize_url("javascript:history.go(-1)");
if(isset($_SERVER['HTTP_REFERER'])) {
    $previous = sanitize_url($_SERVER['HTTP_REFERER']);
}
	/*TITLE AND DESCRIPTION*/

    $cat_title = single_tag_title("", false);
    $cat_desc = term_description( '', 'product_cat' );
    $woocommerce_category_buttons_options = get_option( 'woocommerce_category_buttons_option_name' ); // Array of All Options
    $store_display_style_1 = $woocommerce_category_buttons_options['store_display_style_1']; // Store display style
    $custom_title_3 = $woocommerce_category_buttons_options['custom_title_3']; // Custom title
    $custom_description_4 = $woocommerce_category_buttons_options['custom_description_4']; // Custom description

    if ( $store_display_style_1 == "with-title-description" ) {
        if(!empty($custom_title_3)){
            echo wp_kses_post('<div class="ryveniacattitle"><h2>' . esc_html( $custom_title_3 ) . '</h2></div>');
        } else{
            echo wp_kses_post('<div class="ryveniacattitle"><h2>' . esc_html( $cat_title ) . '</h2></div>');
        }

        if(!empty($custom_description_4)){
            echo wp_kses_post('<p class="ryveniacatdesc">' . esc_html( $custom_description_4 ) . '</p>');
        } else{
            echo wp_kses_post('<p class="ryveniacatdesc">' . esc_html( $cat_desc ) . '</p>');
        }
    }

    if ( $store_display_style_1 == "with-title" ) {
        if(!empty($custom_title_3)){
            echo wp_kses_post('<div class="ryveniacattitle"><h2>' . esc_html( $custom_title_3 ) . '</h2></div>');
        } else{
            echo wp_kses_post('<div class="ryveniacattitle"><h2>' . esc_html( $cat_title ) . '</h2></div>');
        }
    }

    if ( $store_display_style_1 == "with-description" ) {
        if(!empty($custom_description_4)){
            echo wp_kses_post('<p class="ryveniacatdesc">' . esc_html( $custom_description_4 ) . '</p>');
        } else{
            echo wp_kses_post('<p class="ryveniacatdesc">' . esc_html( $cat_desc ) . '</p>');
        }
    }

    if ( $store_display_style_1 == "without-title-description" ) {
        echo '';
    }

	
    global $wp_query;
    if( empty( $wp_query->queried_object->term_id ) ){
        $parent = 0;
    }else{
        $parent = $wp_query->queried_object->term_id;
    }
    $args = array(
        'taxonomy' => 'product_cat',
        'hide_empty' => true,
        'parent' => $parent,
        'orderby' => 'title',
        'order' => 'ASC',
    );
    $terms = get_terms( $args );
	
	$image_logo_cat = esc_url( wp_get_attachment_image_src( get_theme_mod( 'custom_logo' ), 'full' )[0] );
	
    if( !empty( $terms ) ){
        echo wp_kses_post('<div class="ryveniacat">');
		
        $i = 1;

        foreach( $terms as $term ){
			
			$link = sanitize_url(get_term_link( $term->term_id, 'product_cat' ));
			
			$thumbnail_id = get_term_meta( $term->term_id, 'thumbnail_id', true ); 
			$image_thumbnail = sanitize_url(wp_get_attachment_url( $thumbnail_id ));
            if( !empty( $image_thumbnail ) ) {
               	echo wp_kses_post('
		
        <div class="ryveniacatcolumn">
            <a href="'.esc_url($link).'" class="ryveniacatimg"><img src="'.esc_url($image_thumbnail).'" alt="'.sanitize_text_field(esc_textarea($term->name)).'"></a>
            <a href="'.esc_url($link).'" class="ryveniacattext">'.sanitize_text_field(esc_textarea($term->name)).'</a>
        </div>
    ');
            }else{
              	echo wp_kses_post('
		
        <div class="ryveniacatcolumn">
            <a href="'.esc_url($link).'" class="ryveniacatimg"><img src="'.esc_url($image_logo_cat).'" alt="'.sanitize_text_field(esc_textarea($term->name)).'"></a>
            <a href="'.esc_url($link).'" class="ryveniacattext">'.sanitize_text_field(esc_textarea($term->name)).'</a>
        </div>
    ');
            }
			 
		
           

        }

        echo wp_kses_post('</ul>');
        echo wp_kses_post('</div>');

    }
	
	/*if( empty( $terms ) ){
        
        echo wp_kses_post('<div class="ryveniacat">');
		echo wp_kses_post('
		
        <div class="ryveniacatcolumn">
            <a href="'.esc_url($previous).'" class="ryveniacatimg"><img src="'.esc_url($image_logo_cat).'" alt="'.sanitize_text_field(esc_textarea($term->name)).'"></a>
            <a href="'.esc_url($previous).'" class="ryveniacattext">' . esc_html__('Go back') . '</a>
        </div>
    ');
    echo wp_kses_post('</div>');
            }*/

}